SYSTEMC=../lib/systemc

CPP=g++
CC=gcc
#OPT=-O3 
DEBUG=-g
OTHER=-Wall
CFLAGS= $(OTHER) $(DEBUG)

MODULE = run
SRCS = util.cpp \
	   processing_queue.cpp \
	   main.cpp \
	   processor.cpp \
	   l1cache.cpp \
	   l2cache.cpp \
	   monitor.cpp \
	   cache_store.cpp

CXXSRCS=$(filter %.cpp, $(SRCS))
CSRCS=$(filter %.c, $(SRCS))


OBJSPP=$(CXXSRCS:.cpp=.o)
OBJS=$(CSRCS:.c=.o)

include ./Makefile.defs

test:
	./run.x ../tests/simple_loop.adr

